### **一、功能概述**

 - **订单业务**：CRM订单管理系统可以实现订单的自动创建、处理、跟踪和关闭，整合销售、供应链和客户支持等业务流程。同时，也能通过分析订单的历史数据，总结出订单的特点和规律，帮助企业更好地制定销售策略和优惠政策。
 - **出库业务**：CRM系统通过库存管理功能，可以实时掌握库存情况，当订单被确认后，系统会自动进行库存扣减，并生成出库单。出库单会详细列出需要出库的产品、数量、批次等信息，以便仓库人员按照出库单进行拣货和发货，打通物流与库存的边界，形成业务流通。
 - **退货业务**：当客户需要退货时，可以通过CRM系统提交退货申请。系统会自动审核退货申请，并生成退货单。退货单会详细列出退货的产品、数量、原因等信息。仓库人员收到退货后，会进行验收并更新库存信息。
 - **退换货业务**：退换货业务是退货业务和出库业务的结合。当客户需要退换货时，可以先通过CRM系统提交退货申请并完成退货流程。然后，客户可以重新下单购买需要的产品，CRM系统会再次进行出库流程，将新的产品发送给客户。

### 二、核心服务说明
<table class="relative-table wrapped confluenceTable" style="width: 48.5464%;" resolved="">
	<colgroup>
		<col style="width: 18.552%;">
		<col style="width: 11.086%;">
		<col style="width: 8.48416%;">
		<col style="width: 31.2217%;">
		<col style="width: 30.6561%;">
	</colgroup>
	<tbody>
		<tr>
			<th class="confluenceTh">
				<span style="color: rgb(0,51,102);">类名</span>
			</th>
			<th class="confluenceTh">
				<span style="color: rgb(0,51,102);">类说明</span>
			</th>
			<th class="confluenceTh">
				<span style="color: rgb(0,51,102);">请求类型</span>
			</th>
			<th class="confluenceTh">
				<span style="color: rgb(0,51,102);">请求地址</span>
			</th>
			<th colspan="1" class="confluenceTh">
				<span style="color: rgb(0,51,102);">接口说明</span>
			</th>
		</tr>
		<tr>
			<td rowspan="62" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">OrderErpRest</span>
				</p>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
			</td>
			<td rowspan="62" class="confluenceTd">
				<span style="color: rgb(0,51,102);">订单</span>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
			</td>
			<td class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询所有订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew/my</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew/share</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询别人共享给我的客户订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew/mydept</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我负责部门订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew/myjoin</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我参与部门订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew/service</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询所有的服务订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew/asset</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询所有的资产订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlist</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询所有的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlist/my</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlist/share</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询别人共享给我的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlist/mydept</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我负责部门的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlist/myjoin</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我参与的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlist/service</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我参与的订单列表数据（服务订单）</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/homeorder4Mobile</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询生科订单首页指标信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/advance</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据条件查询预付款余额列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/listAdvance</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据条件查询预付款余额列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getorderinfo</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单编号查询订单及其详情信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getorderinfo/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单id查询订单及其详情信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getbyordercode</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单编号查询订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/get/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单id查询订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/api/ordererp/save</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">保存订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/api/ordererp/save4Mobile</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">保存订单（手机端）</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/deletebyid</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据id删除订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getadvancelist</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据租户ID和客户编码查询该客户所有预付款余额大于0的预付款订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/checklowerprice</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查验商品是否有需要低价处理的商品</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/checklowerpriceForModify</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查验商品是否有需要低价处理的商品</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/closeorder</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单编号关闭订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/modifydetail</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">修改订单明细</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/api/ordererp/createspecialorder</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">创建特殊订单（-G、-C）订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/saveandcheck</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">新增对象并发起低价审批</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/lowerFlowSubmit</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">处理低价审批流程</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/dealOrderDetail</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">处理待办需要审批的订单详情信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/returnofclose</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">退货关闭订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getstock</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">获取当前明细的库存</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/judgedownstream</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单编码判断该订单是否有下游单据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getprogressbyid/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单ID查询订单进展信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/update</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">更新订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getadvancebymodify</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">修改订单明细时查询预付款明细</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getalldetailsbycodes</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单code集合查询所有的订单明细</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/checkorderstock</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">提交之前检查库存是否足够</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/modifySale</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">修改现销售</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/initInvorderWriteamount</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">初始化预开票发货订单的收款金额</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/modifyOrderDetail</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">修改订单的订单状态，出库状态，开票状态，未出库金额，未开票金额，价税合计，实际价税合计信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/initOrderWriteamountByWhere</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据开票年份、开票月份初始化订单的收款金额、收款情况</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/checkBatchLock</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">校验是否存在批次锁定客户的订单明细在ERP的待发库里存在库存</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/initActMoney</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">运维工具计算实际出库金额</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getOrderErpByOrderCode</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单编号获取订单编码列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getorderprogress</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单id查询订单进展</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/get4Mobile/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据id获取订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/sendlessmsg</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">检查订单明细是否缺货并通知POM</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getFullactivityList/my</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我的全线订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/isInvoiced</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">是否开票</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/sapAdd</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">对接sap新增订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/sapUpdate</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">对接sap更新订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/sapDelete</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">对接sap删除订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/sapClose</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">对接sap关闭订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/findOrderByProductCode</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据定制产品编码查询订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/check</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">校验明细是否包含需要弱提示的货号</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/initProductType</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">初始化产品类型</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/listAssert/{instrumentCode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据仪器下单编码获取其下的所有资产订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/privew/{orderCode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">预览订单invoice</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/downloadInvoice/{orderCode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">下载订单invoice</span>
				</p>
			</td>
		</tr>
	</tbody>
</table>


### 三、数据库设计
![输入图片说明](/imgs/2024-02-26/zEMchSXOG3lTAz26.jpeg)
### 四、代码运行截图
![输入图片说明](/imgs/2024-02-26/S9LSKlxBUTuARe05.png)
<!--stackedit_data:
eyJoaXN0b3J5IjpbLTgxNDQ5MjgyMiwxOTA5MjQ1NzksMjEyNj
A2NTYyOSwyMDYzNjg5NTkyLC03NzQwNjk1ODUsLTE4ODY0NjIw
MDQsLTEwMDY1MDUxMjIsLTE4NTMzNjY2NzUsNzAyNjI1Njc2LD
Y1MTE5MTI5MCwtMTQ4MjA3NjMyMywzMjU3MzAwMzIsLTE2ODM4
NTgyNiwyODI0MDAwMjcsMTg2NTk3NDgwNiwxMzc0NjQ0MTgwLC
0yNzczMzUwNSwtMjA2NTcyNzUzOSwtNTE2NDI4MDZdfQ==
-->